Index: /branches/UserManagement/HeuristicLab.Authentication.sln
===================================================================
--- /branches/UserManagement/HeuristicLab.Authentication.sln	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Authentication.sln	(revision 4789)
@@ -5,6 +5,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.DataTransfer", "HeuristicLab.Services.Authentication.DataTransfer\HeuristicLab.Services.Authentication.DataTransfer.csproj", "{AC44BDF4-AED7-4445-9A99-57B3237DBE88}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication", "HeuristicLab.Services.Authentication\HeuristicLab.Services.Authentication.csproj", "{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}"
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{FD54DDCC-971C-4CB5-AD4B-B523388D6F01}"
@@ -15,7 +13,9 @@
 	EndProjectSection
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.TestClient", "HeuristicLab.Services.Authentication.TestClient\HeuristicLab.Services.Authentication.TestClient.csproj", "{C31A4169-0BD0-4969-A85B-49AA3B679047}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.TestClient2", "HeuristicLab.Services.Authentication.TestClient2\HeuristicLab.Services.Authentication.TestClient2.csproj", "{EB40C828-D545-4DFE-9CE6-108FB03C6912}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.TestClient2", "HeuristicLab.Services.Authentication.TestClient2\HeuristicLab.Services.Authentication.TestClient2.csproj", "{EB40C828-D545-4DFE-9CE6-108FB03C6912}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.ServiceClient", "HeuristicLab.Services.Authentication.ServiceClients\HeuristicLab.Services.Authentication.ServiceClient.csproj", "{8E698904-936D-4C7A-AB0D-6225778D2968}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication", "HeuristicLab.Services.Authentication\HeuristicLab.Services.Authentication.csproj", "{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}"
 EndProject
 Global
@@ -52,24 +52,4 @@
 		{AC44BDF4-AED7-4445-9A99-57B3237DBE88}.Release|Mixed Platforms.Build.0 = Release|Any CPU
 		{AC44BDF4-AED7-4445-9A99-57B3237DBE88}.Release|x86.ActiveCfg = Release|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Release|Any CPU.Build.0 = Release|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}.Release|x86.ActiveCfg = Release|Any CPU
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Debug|Any CPU.ActiveCfg = Debug|x86
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Debug|Mixed Platforms.Build.0 = Debug|x86
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Debug|x86.ActiveCfg = Debug|x86
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Debug|x86.Build.0 = Debug|x86
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Release|Any CPU.ActiveCfg = Release|x86
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Release|Mixed Platforms.Build.0 = Release|x86
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Release|x86.ActiveCfg = Release|x86
-		{C31A4169-0BD0-4969-A85B-49AA3B679047}.Release|x86.Build.0 = Release|x86
 		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Debug|Any CPU.ActiveCfg = Debug|x86
 		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
@@ -82,4 +62,24 @@
 		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Release|x86.ActiveCfg = Release|x86
 		{EB40C828-D545-4DFE-9CE6-108FB03C6912}.Release|x86.Build.0 = Release|x86
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Release|Any CPU.Build.0 = Release|Any CPU
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Release|Mixed Platforms.Build.0 = Release|Any CPU
+		{8E698904-936D-4C7A-AB0D-6225778D2968}.Release|x86.ActiveCfg = Release|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Release|Any CPU.Build.0 = Release|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Release|Mixed Platforms.Build.0 = Release|Any CPU
+		{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4789)
@@ -52,7 +52,4 @@
       <DependentUpon>Settings.settings</DependentUpon>
     </Compile>
-    <Compile Include="UserManagement.cs">
-      <DependentUpon>UserManagement.dbml</DependentUpon>
-    </Compile>
     <Compile Include="UserManagement.designer.cs">
       <AutoGen>True</AutoGen>
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Application.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Application.cs	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Application.cs	(revision 4789)
@@ -9,6 +9,6 @@
   [DataContract]
   public class Application : NamedAuthItem {
-    //[DataMember]
-    //public string LoweredApplicationName { get; set; }
+    [DataMember]
+    public string LoweredApplicationName { get; set; }
     [DataMember]
     public string Description { get; set; }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/NamedAuthItem.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/NamedAuthItem.cs	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/NamedAuthItem.cs	(revision 4789)
@@ -3,5 +3,6 @@
 namespace HeuristicLab.Services.Authentication.DataTransfer {
   [DataContract]
-  public abstract class NamedAuthItem : AuthItem {
+    public abstract class NamedAuthItem : AuthItem
+    {
     [DataMember]
     public string Name { get; set; }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Role.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Role.cs	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Role.cs	(revision 4789)
@@ -9,10 +9,17 @@
   [DataContract]
   public class Role : NamedAuthItem {
+
+      public Role()
+      {
+          Name = "";
+          LoweredRoleName = "";
+      }
+
     [DataMember]
     public Guid ApplicationId { get; set; }
-    //[DataMember]
-    //public string LoweredRoleName { get; set; }
+   [DataMember]
+    public string LoweredRoleName { get; set; }
     [DataMember]
-    public string Desciption { get; set; }
+    public string Description { get; set; }
   }
     //[DataContract]
@@ -25,6 +32,6 @@
     //    [DataMember]
     //    public string RoleName { get; set; }
-    //    [DataMember]
-    //    public string LoweredRoleName { get; set; }
+        //[DataMember]
+        //public string LoweredRoleName { get; set; }
     //    [DataMember]
     //    public string Description { get; set; }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs	(revision 4789)
@@ -9,4 +9,17 @@
   [DataContract]
   public class User : NamedAuthItem {
+
+      public User()
+      {
+          Password = "";
+          PasswordSalt = "";
+          Name = "";
+          CreateDate = DateTime.Now;
+          LastActivityDate = DateTime.Now;
+          LastLoginDate = DateTime.Now;
+          LastLockoutDate = DateTime.Now;
+          LastPasswordChangeDate = DateTime.Now;
+      }
+
     // Member of Membership
     [DataMember]
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/HeuristicLab.Services.Authentication.ServiceClient.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/HeuristicLab.Services.Authentication.ServiceClient.csproj	(revision 4789)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/HeuristicLab.Services.Authentication.ServiceClient.csproj	(revision 4789)
@@ -0,0 +1,56 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>8.0.30703</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{8E698904-936D-4C7A-AB0D-6225778D2968}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Services.Authentication.ServiceClients</RootNamespace>
+    <AssemblyName>HeuristicLab.Services.Authentication.ServiceClients</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="ServiceClients\GenerateServiceClients.cmd" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/Properties/AssemblyInfo.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/Properties/AssemblyInfo.cs	(revision 4789)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/Properties/AssemblyInfo.cs	(revision 4789)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Services.Authentication.ServiceClients")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab.Services.Authentication.ServiceClients")]
+[assembly: AssemblyCopyright("Copyright ©  2010")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("194cdf46-c076-4cc0-b643-d68a7c4d4c75")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/ServiceClients/GenerateServiceClients.cmd
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/ServiceClients/GenerateServiceClients.cmd	(revision 4789)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/ServiceClients/GenerateServiceClients.cmd	(revision 4789)
@@ -0,0 +1,35 @@
+﻿echo off
+
+echo.
+echo *******************************************************************************************
+echo Generating OKBService client
+echo.
+
+svcutil.exe ^
+http://localhost:8732/Design_Time_Addresses/OKB-3.3/AuthenticationService/mex ^
+/out:AuthenticationServiceClient ^
+/namespace:*,HeuristicLab.Services.Authentication.ServiceClient ^
+/targetClientVersion:Version35 ^
+/enableDataBinding ^
+/config:..\app.config
+
+echo.
+echo ---------------------------------------------------------------------------------------
+echo !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!!
+echo.
+echo Following modifications have to be done manually in generated data contracts:
+echo  * Remove method "protected void RaisePropertyChanged(string propertyName)" in OKBItem
+echo.
+echo !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!!
+echo ---------------------------------------------------------------------------------------
+echo.
+echo Generation of OKBService client finished.
+echo *******************************************************************************************
+echo.
+echo.
+echo *******************************************************************************************
+echo Generating AuthenticationService client
+echo.
+
+
+pause
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/HeuristicLab.Services.Authentication.TestClient.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/HeuristicLab.Services.Authentication.TestClient.csproj	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/HeuristicLab.Services.Authentication.TestClient.csproj	(revision 4789)
@@ -64,8 +64,4 @@
       <Name>HeuristicLab.Services.Authentication.DataTransfer</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Services.Authentication\HeuristicLab.Services.Authentication.csproj">
-      <Project>{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}</Project>
-      <Name>HeuristicLab.Services.Authentication</Name>
-    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4789)
@@ -49,5 +49,5 @@
             this.userNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.isAnonymousDataGridViewCheckBoxColumn = new System.Windows.Forms.DataGridViewCheckBoxColumn();
-            this.Membership = new System.Windows.Forms.DataGridViewTextBoxColumn();
+           
             this.bsUsers = new System.Windows.Forms.BindingSource(this.components);
             this.tcUser = new System.Windows.Forms.TabControl();
@@ -290,6 +290,5 @@
             this.dgvUsers.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.userNameDataGridViewTextBoxColumn,
-            this.isAnonymousDataGridViewCheckBoxColumn,
-            this.Membership});
+            this.isAnonymousDataGridViewCheckBoxColumn});
             this.dgvUsers.DataSource = this.bsUsers;
             this.dgvUsers.Location = new System.Drawing.Point(3, 45);
@@ -311,12 +310,5 @@
             this.isAnonymousDataGridViewCheckBoxColumn.HeaderText = "IsAnonymous";
             this.isAnonymousDataGridViewCheckBoxColumn.Name = "isAnonymousDataGridViewCheckBoxColumn";
-            // 
-            // Membership
-            // 
-            this.Membership.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
-            this.Membership.DataPropertyName = "Membership.Email";
-            this.Membership.HeaderText = "EMail";
-            this.Membership.Name = "Membership";
-            this.Membership.Width = 58;
+          
             // 
             // bsUsers
@@ -356,12 +348,5 @@
             this.tabPage3.Text = "Detail";
             this.tabPage3.UseVisualStyleBackColor = true;
-            // 
-            // passwordSaltTextBox
-            // 
-            this.passwordSaltTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUser, "Membership.PasswordSalt", true));
-            this.passwordSaltTextBox.Location = new System.Drawing.Point(134, 127);
-            this.passwordSaltTextBox.Name = "passwordSaltTextBox";
-            this.passwordSaltTextBox.Size = new System.Drawing.Size(145, 20);
-            this.passwordSaltTextBox.TabIndex = 17;
+           
             // 
             // bsUser
@@ -369,11 +354,5 @@
             this.bsUser.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.User);
             // 
-            // passwordQuestionTextBox
-            // 
-            this.passwordQuestionTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUser, "PasswordQuestion", true));
-            this.passwordQuestionTextBox.Location = new System.Drawing.Point(134, 73);
-            this.passwordQuestionTextBox.Name = "passwordQuestionTextBox";
-            this.passwordQuestionTextBox.Size = new System.Drawing.Size(145, 20);
-            this.passwordQuestionTextBox.TabIndex = 16;
+
             // 
             // passwordTextBox
@@ -743,5 +722,5 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn userNameDataGridViewTextBoxColumn;
         private System.Windows.Forms.DataGridViewCheckBoxColumn isAnonymousDataGridViewCheckBoxColumn;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Membership;
+
     }
 }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.cs	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.cs	(revision 4789)
@@ -31,5 +31,5 @@
             {
 
-               
+
                 RefreshApplicationlist();
             }
@@ -61,8 +61,9 @@
         {
             // show detail
-            if(dgvUsers.SelectedRows.Count == 1){
+            if (dgvUsers.SelectedRows.Count == 1)
+            {
                 User user = (User)dgvUsers.SelectedRows[0].DataBoundItem;
                 bsUser.DataSource = user;
-                bsUserRoles.DataSource = service.GetRolesForUser(user.UserId);
+                bsUserRoles.DataSource = service.GetRolesForUser(user.Id);
                 tcUser.Enabled = false;
             }
@@ -73,8 +74,8 @@
             if (dgvRoles.SelectedRows.Count == 1)
             {
-                Role role = (Role) dgvRoles.SelectedRows[0].DataBoundItem;
+                Role role = (Role)dgvRoles.SelectedRows[0].DataBoundItem;
                 bsRole.DataSource = role;
-                IEnumerable<User> _l = service.GetUsersInRole(role.RoleId);
-                bsRoleUsers.DataSource = service.GetUsersInRole(role.RoleId);
+                IEnumerable<User> _l = service.GetUsersInRole(role.Id);
+                bsRoleUsers.DataSource = service.GetUsersInRole(role.Id);
                 btnDeleteRole.Enabled = true;
                 tcRole.Enabled = true;
@@ -105,17 +106,17 @@
             service.InsertUser(user);
             RefreshUserlist();
-            
+
         }
 
         private void btnSaveRole_Click(object sender, EventArgs e)
         {
-           Role role = (Role)bsRole.DataSource;
-           role.ApplicationId = applicationId;
-           service.InsertRole(role);
-           tcRole.Enabled = false;
-           RefreshRolelist();
+            Role role = (Role)bsRole.DataSource;
+            role.ApplicationId = applicationId;
+            service.InsertRole(role);
+            tcRole.Enabled = false;
+            RefreshRolelist();
         }
 
-       
+
 
         private void btnAddUserToRole_Click(object sender, EventArgs e)
@@ -127,6 +128,6 @@
                 role.ApplicationId = applicationId;
                 user.ApplicationId = applicationId;
-                service.AddUserToRole(role.RoleId, user.UserId);
-                RefreshRoleUserlist(role.RoleId);
+                service.AddUserToRole(role.Id, user.Id);
+                RefreshRoleUserlist(role.Id);
             }
         }
@@ -137,5 +138,5 @@
             {
                 Role role = (Role)dgvRoles.SelectedRows[0].DataBoundItem;
-                service.DeleteRole(role.RoleId);
+                service.DeleteRole(role.Id);
                 RefreshRolelist();
             }
@@ -149,7 +150,7 @@
                 User user = (User)dgvRoleAssignedUsers.SelectedRows[0].DataBoundItem;
                 Role role = (Role)bsRole.DataSource;
-                
-                service.RemoveUserFromRole(role.RoleId, user.UserId);
-                RefreshRoleUserlist(role.RoleId);
+
+                service.RemoveUserFromRole(role.Id, user.Id);
+                RefreshRoleUserlist(role.Id);
             }
         }
@@ -160,5 +161,5 @@
             if (application != null)
             {
-                applicationId = application.ApplicationId;
+                applicationId = application.Id;
                 RefreshApplicationlist();
             }
@@ -173,5 +174,5 @@
                 if (user != null)
                 {
-                    service.DeleteUser(user.UserId);
+                    service.DeleteUser(user.Id);
                     RefreshUserlist();
                 }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/HeuristicLab.Services.Authentication.TestClient2.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/HeuristicLab.Services.Authentication.TestClient2.csproj	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/HeuristicLab.Services.Authentication.TestClient2.csproj	(revision 4789)
@@ -37,4 +37,6 @@
     <Reference Include="System" />
     <Reference Include="System.Core" />
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
@@ -46,4 +48,10 @@
     <Compile Include="Program.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="UserManagement.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="UserManagement.Designer.cs">
+      <DependentUpon>UserManagement.cs</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
@@ -53,7 +61,17 @@
     </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Services.Authentication\HeuristicLab.Services.Authentication.csproj">
-      <Project>{FF763830-EE9B-4FF7-9A55-4E2552E20C9A}</Project>
+      <Project>{9FD3F26D-B051-4F4C-9C66-4A361EE357AD}</Project>
       <Name>HeuristicLab.Services.Authentication</Name>
     </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="UserManagement.resx">
+      <DependentUpon>UserManagement.cs</DependentUpon>
+    </EmbeddedResource>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Properties\DataSources\HeuristicLab.Services.Authentication.DataTransfer.Application.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Services.Authentication.DataTransfer.Role.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Services.Authentication.DataTransfer.User.datasource" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Program.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Program.cs	(revision 4788)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Program.cs	(revision 4789)
@@ -5,26 +5,12 @@
 using HeuristicLab.Services.Authentication.DataTransfer;
 
-namespace HeuristicLab.Services.Authentication.TestClient2 {
-  class Program {
-    static void Main(string[] args) {
-
-      AuthenticationService auth = new AuthenticationService();
-
-
-      Console.WriteLine("Find User with GUID: 0938331f-847e-4361-8ef0-a84e5a8b121c");
-      Guid userguid = Guid.Parse("0938331f-847e-4361-8ef0-a84e5a8b121c");
-      User user = auth.GetUser(userguid);
-
-      if (user != null) {
-        Console.WriteLine("Username of User: {0}", user.Name);
-      } else {
-        Console.WriteLine("User not found!");
-      }
-
-      Console.ReadLine();
-
-
-
+namespace HeuristicLab.Services.Authentication.TestClient2
+{
+    class Program
+    {
+        static void Main(string[] args)
+        {
+            System.Windows.Forms.Application.Run(new UserManagement());
+        }
     }
-  }
 }
